## Config Settings Menu
execute unless score $playerGraves multipack.constants matches 0 run tellraw @s [{"text":"==== Player Graves ","color":"yellow"},{"text":"[✔]","color":"green","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$playerGraves\",\"scoreboard\":\"multipack.constants\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable"]}}]
execute if score $playerGraves multipack.constants matches 0 run tellraw @s [{"text":"==== Player Graves ","color":"yellow"},{"text":"[❌]","color":"red","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$playerGraves\",\"scoreboard\":\"multipack.constants\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable"]}}]

execute unless score $graveDespawnTime multipack.graves matches 0.. run tellraw @s [{"text":"Despawn Time Limit: ","clickEvent":{"action":"suggest_command","value":"/function m_graves:edit_config {\"player\":\"$graveDespawnTime\",\"scoreboard\":\"multipack.graves\",\"score\":<seconds>}"},"hoverEvent":{"action":"show_text","value":[{"text":"Number of seconds until graves automatically drop items\n Negative value means graves never despawn"}]}},{"text":"never","color":"gold"},{"text":" (Default: never)","color":"gray"}]
execute if score $graveDespawnTime multipack.graves matches 0.. run tellraw @s [{"text":"Despawn Time Limit: ","clickEvent":{"action":"suggest_command","value":"/function m_graves:edit_config {\"player\":\"$graveDespawnTime\",\"scoreboard\":\"multipack.graves\",\"score\":<seconds>}"},"hoverEvent":{"action":"show_text","value":[{"text":"Number of seconds until graves automatically drop items\n Negative value means graves never despawn"}]}},{"score":{"name":"$graveDespawnTime","objective":"multipack.graves"},"color":"gold"},{"text":"s","color":"gold"},{"text":" (Default: never)","color":"gray"}]

execute unless score $voidRecovery multipack.graves matches 0.. run tellraw @s [{"text":"Void Recovery: ","clickEvent":{"action":"suggest_command","value":"/function m_graves:edit_config {\"player\":\"$voidRecovery\",\"scoreboard\":\"multipack.graves\",\"score\":<distance>}"},"hoverEvent":{"action":"show_text","value":[{"text":"How far away a grave can appear after dying in the void \n Negative value means graves won't be made from void"}]}},{"text":"no","color":"gold"},{"text":" (Default: 100m)","color":"gray"}]
execute if score $voidRecovery multipack.graves matches 0.. run tellraw @s [{"text":"Void Recovery: ","clickEvent":{"action":"suggest_command","value":"/function m_graves:edit_config {\"player\":\"$voidRecovery\",\"scoreboard\":\"multipack.graves\",\"score\":<distance>}"},"hoverEvent":{"action":"show_text","value":[{"text":"How far away a grave can appear dying in the void \n Negative value means graves won't be made from void"}]}},{"score":{"name":"$voidRecovery","objective":"multipack.graves"},"color":"gold"},{"text":"m","color":"gold"},{"text":" (Default: 100m)","color":"gray"}]

execute if score $tellCoords multipack.graves matches 1 run tellraw @s [{"text":"Death Coordinates: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$tellCoords\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: The coordinates of your death are shown to you in chat"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $tellCoords multipack.graves matches 0 run tellraw @s [{"text":"Death Coordinates: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$tellCoords\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: The coordinates of your death are shown to you in chat"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $lockedGraves multipack.graves matches 1 run tellraw @s [{"text":"Locked Graves: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$lockedGraves\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Graves can only be opened by their owner"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $lockedGraves multipack.graves matches 0 run tellraw @s [{"text":"Locked Graves: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$lockedGraves\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Graves can only be opened by their owner"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $keepXp multipack.graves matches 1 run tellraw @s [{"text":"Keep Experience: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepXp\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Experience is kept on death"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $keepXp multipack.graves matches 0 run tellraw @s [{"text":"Keep Experience: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepXp\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Experience is kept on death"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $keepHotbar multipack.graves matches 1 run tellraw @s [{"text":"Keep Hotbar: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepHotbar\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Items in hotbar are kept on death"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $keepHotbar multipack.graves matches 0 run tellraw @s [{"text":"Keep Hotbar: ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepHotbar\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Items in hotbar are kept on death"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $keepArmor multipack.graves matches 1 run tellraw @s [{"text":"Keep Armor:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepArmor\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Equiped armor is kept on death"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $keepArmor multipack.graves matches 0 run tellraw @s [{"text":"Keep Armor:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepArmor\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Equiped armor is kept on death"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $keepItems multipack.graves matches 1 run tellraw @s [{"text":"Keep Some Items:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepItems\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Keep some types of items on death\n Change items by editing m_graves/tags/items/kept_items"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $keepItems multipack.graves matches 0 run tellraw @s [{"text":"Keep Some Items:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$keepItems\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Keep some types of items on death\n Change items by editing m_graves/tags/items/kept_items"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]

execute if score $loseItems multipack.graves matches 1 run tellraw @s [{"text":"Lose Some Items:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$loseItems\",\"scoreboard\":\"multipack.graves\",\"score\":0}"},"hoverEvent":{"action":"show_text","contents":["Disable: Delete some types of items on death\n Change items by editing m_graves/tags/items/lost_items"]}},{"text":"[✔]","color":"green"},{"text":" (Default: disabled)","color":"gray"}]
execute if score $loseItems multipack.graves matches 0 run tellraw @s [{"text":"Lose Some Items:  ","clickEvent":{"action":"run_command","value":"/function m_graves:edit_config {\"player\":\"$loseItems\",\"scoreboard\":\"multipack.graves\",\"score\":1}"},"hoverEvent":{"action":"show_text","contents":["Enable: Delete some types of items on death\n Change items by editing m_graves/tags/items/lost_items"]}},{"text":"[❌]","color":"red"},{"text":" (Default: disabled)","color":"gray"}]


tellraw @s [{"text":"(!) ","clickEvent":{"action":"run_command","value":"/reload"},"color":"red","hoverEvent":{"action":"show_text","value":[{"text":"Reload"}]}},{"text":"Reload after making changes","color":"white"}]
tellraw @s {"text":"===================","color":"yellow"}
